org.apache.sling.hc.api

## Class Result

- java.lang.Object
- - org.apache.sling.hc.api.Result

All Implemented Interfaces:
  Iterable<ResultLog.Entry>

Deprecated.

    @Deprecated
    public class Result
    extends Object
    implements Iterable<ResultLog.Entry>

The result of executing a `HealthCheck`

### Nested Class Summary

Nested Classes
`static class` `Result.Status` Deprecated.

### Field Summary

Fields
`protected ResultLog` `resultLog` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`Result(Result.Status s, String explanation)` Deprecated. Build a single-value Result
`Result(Result.Status s, String explanation, Exception e)` Deprecated. Build a single-value Result with exception
`Result(ResultLog log)` Deprecated. Build a a Result based on a ResultLog, which can provide more details than a single-value Result.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Result.Status` `getStatus()` Deprecated. Return our Status
`boolean` `isOk()` Deprecated. True if our status is OK - provides a convenient way of checking that.
`Iterator<ResultLog.Entry>` `iterator()` Deprecated. Return an Iterator on the entries of our ResultLog
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### resultLog

    protected final ResultLog resultLog

Deprecated.

### Constructor Detail

#### Result

    public Result(Result.Status s,
                  String explanation)

Deprecated.
Build a single-value Result

Parameters:
  `s` - if lower than OK, our status is set to OK

#### Result

    public Result(Result.Status s,
                  String explanation,
                  Exception e)

Deprecated.
Build a single-value Result with exception

Parameters:
  `s` - if lower than OK, our status is set to OK

#### Result

    public Result(ResultLog log)

Deprecated.
Build a a Result based on a ResultLog, which can provide more details than a single-value Result.

### Method Detail

#### isOk

    public boolean isOk()

Deprecated.
True if our status is OK - provides a convenient way of checking that.

#### getStatus

    public Result.Status getStatus()

Deprecated.
Return our Status

#### iterator

    public Iterator<ResultLog.Entry> iterator()

Deprecated.
Return an Iterator on the entries of our ResultLog

Specified by:
  `iterator` in interface `Iterable<ResultLog.Entry>`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`